Error while visualization

Hi QIIME people,
I’m getting an error when I run the following script, does anyone know why?

Script:

qiime demux summarize
–i-data /scratch/amm59063/workdir/bird_feeding/samples/1_import/demux-r2.qza
–o-visualization /scratch/amm59063/workdir/bird_feeding/samples/1_import/demux-r2_summary.qzv

Error:

Plugin error from demux:

‘forward’

Debug info has been saved to /lscratch/2970801.sapelo2/qiime2-q2cli-err-z85wsfun.log

Thank you

-Afaq

Hi @amm59063!

What version of QIIME 2 are you running?

Please re-run with the --verbose flag, and provide the complete output here. Thank you!

:qiime2:

1 Like

Hi Matthew,
here is the output, this happening when I use the remote access only (QIIME2 : 2020.6)

Traceback (most recent call last):
  File "/usr/local/apps/eb/QIIME2/2020.6/lib/python3.6/site-packages/pandas/core/indexes/base.py", line 4736, in get_value
    return libindex.get_value_box(s, key)
  File "pandas/_libs/index.pyx", line 51, in pandas._libs.index.get_value_box
  File "pandas/_libs/index.pyx", line 47, in pandas._libs.index.get_value_at
  File "pandas/_libs/util.pxd", line 98, in pandas._libs.util.get_value_at
  File "pandas/_libs/util.pxd", line 83, in pandas._libs.util.validate_indexer
TypeError: 'str' object cannot be interpreted as an integer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/apps/eb/QIIME2/2020.6/lib/python3.6/site-packages/q2cli/commands.py", line 329, in __call__
    results = action(**arguments)
  File "<decorator-gen-480>", line 2, in summarize
  File "/usr/local/apps/eb/QIIME2/2020.6/lib/python3.6/site-packages/qiime2/sdk/action.py", line 245, in bound_callable
    output_types, provenance)
  File "/usr/local/apps/eb/QIIME2/2020.6/lib/python3.6/site-packages/qiime2/sdk/action.py", line 452, in _callable_executor_
    ret_val = self._callable(output_dir=temp_dir, **view_args)
  File "/usr/local/apps/eb/QIIME2/2020.6/lib/python3.6/site-packages/q2_demux/_summarize/_visualizer.py", line 130, in summarize
    filename = row[direction]
  File "/usr/local/apps/eb/QIIME2/2020.6/lib/python3.6/site-packages/pandas/core/series.py", line 1071, in __getitem__
    result = self.index.get_value(self, key)
  File "/usr/local/apps/eb/QIIME2/2020.6/lib/python3.6/site-packages/pandas/core/indexes/base.py", line 4744, in get_value
    raise e1
  File "/usr/local/apps/eb/QIIME2/2020.6/lib/python3.6/site-packages/pandas/core/indexes/base.py", line 4730, in get_value
    return self._engine.get_value(s, k, tz=getattr(series.dtype, "tz", None))
  File "pandas/_libs/index.pyx", line 80, in pandas._libs.index.IndexEngine.get_value
  File "pandas/_libs/index.pyx", line 88, in pandas._libs.index.IndexEngine.get_value
  File "pandas/_libs/index.pyx", line 131, in pandas._libs.index.IndexEngine.get_loc
  File "pandas/_libs/hashtable_class_helper.pxi", line 1607, in pandas._libs.hashtable.PyObjectHashTable.get_item
  File "pandas/_libs/hashtable_class_helper.pxi", line 1614, in pandas._libs.hashtable.PyObjectHashTable.get_item
KeyError: 'forward'

Plugin error from demux:

  'forward'

See above for debug info.

Can you share a download link to the data? Feel free to send me a private message if you can’t share publicly. Thanks!

Has this issue been resolved? We sucessfully imported demultiplexed Fastq files in QIIME2-2020.6. We are getting the same error as described above on this step:
qiime demux summarize
–I-data demuxsingle.qza
–o-visualization demuxsingle.qzv

Error:

Plugin error from demux:

‘forward’

We do not think it is the fastq files as they have worked before.

Guy

Hi @GuyAdami - as you can see, @amm59063 never responded to our inquiries. If you would like assistance, please see this request:

We actually fixed several issues related to bad fastq files erroneously working in this visualization in the 2020.6 release, so I would reserve judgement until we take a closer look at the data. Thanks!

Hi @thermokarst, here is the link to the fastq files we are having trouble with: [https://drive.google.com/drive/folders/1FMN83XeO7VxI6WxT6uzcXmw7Z6A6rGrb?usp=sharing]

Hi Matthew,
I’m sorry I was busy with the other works, I didn’t reply because I got the error message when I run in remote computer but not with my own PC.
Okay I’ll explain little bit. I imported my paired end fastq file sas below (for forward and reverse separately)
qiime tools import
–type ‘SampleData[SequencesWithQuality]’
–input-path /scratch/amm59063/workdir/bird_feeding/samples/fastq/r2/
–input-format CasavaOneEightSingleLanePerSampleDirFmt
–output-path /scratch/amm59063/workdir/bird_feeding/samples/1_import/demux-r2.qza

I didn’t get any error when I visualize the forward imported artifact.

Also @GuyAdami is trying to import the reverse sequence and had the problem.

I’m attaching the imported artifacts for both sequence

https://drive.google.com/file/d/11gIgALitd0d3HoIHtZ_hhHRcuX75iswa/view?usp=sharing,%20https://drive.google.com/file/d/1JDf8KEKKIQ-0SmIZIzAG8n7mQGcTAeNc/view?usp=sharing

Thanks for the data @GuyAdami!

The issue here is that all of your reads are reverse reads. If you import using one of the manifest formats you can specify the direction as “forward”, which should get you moving again.

Hi @amm59063, no need to apologize. Unfortunately I wasn’t able to download your files - they are password protected. It looks like you’re in a similar situation as @GuyAdami - use a manifest format to declare these as “forward” reads and you should be set.

Matthew, thanks for your help. When we loaded the forward reads it worked great. We are not sure how to get it to work with the reverse reads, as the manifest file is generated by the import step.
qiime tools import
–type ‘SampleData[SequencesWithQuality]’
–input-path casava-18-single-end-demultiplexed
–input-format CasavaOneEightSingleLanePerSampleDirFmt
–output-path demux-single-end.qza
Are you saying we need to change labels of the fastq files so it says R1 even though they are reverse reads? If that makes no sense don;t worry we are happy to at least know how to run forward reads. thanks again, Guy

No, I was suggesting you use a manifest format: https://docs.qiime2.org/2020.6/tutorials/importing/#fastq-manifest-formats. QIIME 2 can’t make these for you - you have to define it yourself. You can say which files belong to which samples, and what orientation those files are in.

Why aren’t you just importing both the forward and reverse reads at the same time?

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.